/**
 * 
 */
package org.springblade;

import org.springblade.core.boot.core.PlatomixApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.data.mongo.MongoDataAutoConfiguration;
import org.springframework.boot.autoconfigure.mongo.MongoAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

/**
 * <p>BI模块启动类</p>
 * @author  wookvn
 * @datetime 2024-10-11 11:37:58
 */
@EnableDiscoveryClient
@SpringBootApplication(exclude = {MongoAutoConfiguration.class, MongoDataAutoConfiguration.class})
public class Application {

	public static void main(String[] args) {
		//解决redis缓存IPage，反序列化时报错空指针问题
		System.setProperty("protostuff.runtime.always_use_sun_reflection_factory", "true");
		PlatomixApplication.run(Application.class, args);
	}
	
}
