package org.springblade.config.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@ConfigurationProperties(prefix = "auto.review")
public class AutoReviewProperties {


    private Boolean visualSwitch = false;
    private String visualReviewUrl;
    private String appid;

}
