package org.springblade.cube.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import org.springblade.cube.model.CubeData;

import java.util.List;

/**
 * 数据集返回给前端的对象
 */
@Data
public class CubeDataVO extends CubeData {

    /**
     * 数据库名称
     */
    private String dsDb;

    /**
     * 数据源名称
     */
    private String dsName;

    private Integer visualCount;

    private List<CubeVisualInfo> cubeVisualInfos;
}
