package org.springblade.cube.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@DS("clickhouse")
@InterceptorIgnore(tenantLine = "true")
@Mapper
public interface BiEventMapper {

    /**
     * 列出来长时间未使用的数据源
     */
    @Select("SELECT  attr3 poolName,MAX(d_time) lastUseTime from bi_event where event = 'useDatasource' and d_time > #{lastTime2} GROUP BY attr3 HAVING lastUseTime < #{lastTime};")
    List<String> listLongTimeNoUseDs(@Param("lastTime")long lastTime,@Param("lastTime2") long lastTime2);


}
