package org.springblade.visual.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ComponentStatisticsParams {

    private String startDate;
    private String endDate;
    @ApiModelProperty("0是系统组件 1是超管自定义组件 2用户自定义组件 3是组件模板")
    private Integer componentType;

    @ApiModelProperty("组件名字")
    private String componentName;

    private String tenantId;
    private Long categoryId;

    private Integer page = 1;
    private Integer size = 10;

}
