/**
 * 
 */
package org.springblade.visual.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.NullSerializer;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springblade.core.mp.base.TenantEntity;
import org.springblade.visual.enums.ComponentTypeEnum;
import org.springblade.visual.enums.ComponentUseTypeEnum;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wookvn
 *
 */
@Data
@Accessors(chain = true)
public class VisualComponentStatisticsVo {
	
	@ExcelProperty(value = "租户")
	private String tenant;
	@ExcelProperty(value = "用户")
	private String user;
	@ExcelProperty(value = "组件名字")
	private String componentName;
	@ExcelProperty(value = "组件类型")
	private String componentType;
	
	@ExcelProperty(value = "应用大屏/报表名称")
	private String visualName;

	@ExcelProperty(value = "访问时间")
	private String time;

}
