/**
 * 
 */
package org.springblade.visual.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author wookvn
 *
 */
@Data
@NoArgsConstructor
public class VisualWarningRecordUser implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@TableId
	private Long id;
	
	private Long userId;
	
	private Long warningId;
	
	private Long warningRecordId;

	/**
	 * @param userId
	 * @param warningId
	 * @param warningRecordId
	 */
	public VisualWarningRecordUser(Long userId, Long warningId, Long warningRecordId) {
		super();
		this.userId = userId;
		this.warningId = warningId;
		this.warningRecordId = warningRecordId;
	}
	
	
}
