package org.springblade.bi.client.factory;

import lombok.extern.slf4j.Slf4j;
import org.springblade.bi.client.TenantInitClient;
import org.springblade.bi.client.VisualDataClient;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class TenantInitClientFallbackFactory implements FallbackFactory<TenantInitClient> {

    @Override
    public TenantInitClient create(Throwable cause) {
        return null;
    }
}
