/**
 * 
 */
package org.springblade.analytics.properties;

import java.io.Serializable;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "blade.analytics")
public class AnalyticsProperties implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 是否开启
	 */
	private Boolean enabled = false;
	
	/**
	 * 神策埋点的url - 需要添加请求参数?project=bi&ptype=bi
	 */
	private String serviceUrl;
	
}
