package org.springblade.cube.dto;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springblade.cube.model.CubeTableColumn;
import org.springblade.datasource.enums.ViewColumnTypeEnum;

import java.util.List;
import java.util.Map;

@Data
@Accessors(chain = true)
public class StaticDataVO {

    private Long dsId;

    private String cubeDataName;

    private List<ColumnInfo> columnInfos;

    private List<Map<String, Object>> data;

    @Data
    public static class ColumnInfo{
        private String columnTitle;
        private String columnName;
        private ViewColumnTypeEnum viewDataType;
    }

}
