package org.springblade.visual.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springblade.visual.enums.MobileStatisticsSourceEnum;

import java.util.List;

/**
 * @author xipengqiang
 */
@Data
@Accessors(chain = true)
public class MobileStatisticsQueryByIdParams {

    private Long userId;

    private Long instId;

    private List<App> appList;

    @Data
    public static class App{

        @ApiModelProperty("应用id")
        private Long id;
        @ApiModelProperty("应用来源")
        private MobileStatisticsSourceEnum appSource;

    }





}
