package org.springblade.visual.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springblade.visual.enums.MobileStatisticsSourceEnum;

import java.util.Date;

/**
 * @author xipengqiang
 */
@Data
@Accessors(chain = true)
public class MobileStatisticsReturnVO {

    @ApiModelProperty("应用编码")
    private String appCode = "bireport";
    @ApiModelProperty("报表id")
    private Long visualId;
    @ApiModelProperty("报表图片")
    private String visualPic;
    @ApiModelProperty("报表名字")
    private String visualName;
    @ApiModelProperty("报表描述")
    private String visualDesc;
    @ApiModelProperty("报表地址")
    private String visualUrl;
    @ApiModelProperty("应用来源")
    private MobileStatisticsSourceEnum appSource;
    @ApiModelProperty("创建时间")
    private String createTime;
    @ApiModelProperty("访问量")
    private Integer visitCount;
    @ApiModelProperty("分享人id")
    private Long sharerUserId;


}
