/**
 *
 */
package org.springblade.visual.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * @author wookvn
 * 大屏类型
 */
public enum MobileStatisticsSourceEnum {

    TEMPLATE(0, "模板"),

    CREATE(1, "用户创建"),

    COMPANY(2, "同公司"),

    SHARE(3, "分享");

    @EnumValue
    private int type;
    private String name;


    MobileStatisticsSourceEnum(int type, String name) {
        this.type = type;
        this.name = name;
    }

    /**
     * @return the value
     */
    public int getType() {
        return type;
    }

    /**
     * @return the method
     */
    public String getName() {
        return name;
    }
}
